Mailinglist Archive: opensuse-updates (19 mails)

< Previous Next >
openSUSE-SU-2011:0140-1 (moderate): Fixing AFM font parser vulnerability in t1lib (CVE-2010-2642).
openSUSE Security Update: Fixing AFM font parser vulnerability in t1lib
(CVE-2010-2642).
______________________________________________________________________________

Announcement ID: openSUSE-SU-2011:0140-1
Rating: moderate
References: #662411
Cross-References: CVE-2010-2642
Affected Products:
openSUSE 11.3
openSUSE 11.2
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:

A heap overflow in the AFM font parser of DVI files has
been fixed in t1lib. CVE-2010-2642 has been assigned to
this issue.


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 11.3:

zypper in -t patch t1lib-3788

- openSUSE 11.2:

zypper in -t patch t1lib-3788

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 11.3 (i586 x86_64):

t1lib-5.1.2-6.3.1
t1lib-devel-5.1.2-6.3.1

- openSUSE 11.2 (i586 x86_64):

t1lib-5.1.2-2.4.1
t1lib-devel-5.1.2-2.4.1


References:

http://support.novell.com/security/cve/CVE-2010-2642.html
https://bugzilla.novell.com/662411


< Previous Next >
List Navigation
This Thread
  • No further messages